Installing Gestix on a brand new Ubuntu LTS 14.04 (Trusty Tahr)

This article covers the installation of Gestix on a new server, Ubuntu LTS 14.04 in this case, without any software installed on it but the core operating system.

First we install the prerequisites, MySQL, Apache2, and Htmldoc. Gestix does not require PHP to be installed, yet PHP, as well as other languages, can be used to interact with the Gestix Corporate edition, to implement custom reports, collaboration portals, etc. In this example PHP is not required at all.

Let’s do it.

sudo apt-get install mysql-server
sudo apt-get install apache2

Add some modules to Apache, but not too many. Enable mod_cgi to permit the execution of the gestix binaries instead of downloading them. The Apache module mod_env is also enabled here, in order to support setting environment variables from the Apache options or configuration files.

Apache recommends using a2enmod to enable Apache modules by name, so we do:

sudo a2enmod cgi
sudo a2enmod env

Then, htmldoc, a open source solution for rendering the PDFs in Gestix.

sudo apt-get install htmldoc

In order for htmldoc to work properly with Gestix, some environment variables need to be set. We’ll do it using the Apache’s options:

SetEnv TMPDIR /tmp
SetEnv PATH_INFO /usr/share/htmldoc
SetEnv HTMLDOC_NOCGI 1

Install some stuff needed by Gestix

sudo apt-get install libssl0.9.8

sudo get-get install libmysqlclient.so.16.0.0

Finally, we install the Gestix tar ball  (file type tar.gz). Using the tar ball instead of the Debian package allows to install Gestix on the default web, by extracting in the selected spot. In this case, we’ll create a subnet http://localhost/gestix so we create this gestix folder in the web folder, and get the contents of the package copied there. It will create the gnet folder with all gestix’s stuff in there.

cd /var/www/html

sudo mkdir ./gestix

cd ./gestix

sudo tar xf ~/my_downloads/gestix_erp_web_amd64.tar.gz

sudo sh ./gnet/install.sh mysql_user mysql_pw database_name

It should be ready now. Open Gestix from the browser (replace 10.0.0.11 by your server’s IP):

http://10.0.0.11/gestix/gnet/cgi-bin/gestix.cgi

Is it working fine? Good. Otherwise, please post/comment about it here. We’ll help of course.

Protect your Gestix with daily database backups

In production servers it’s advisable to install AutoMySQLBackup:

apt-get install automysqlbackup

To backup all databases invoke automysqlbackup from the command line or add it through crontab -e:

# Edit this file to introduce tasks to be run by cron.
#
# Each task to run has to be defined through a single line
# indicating with different fields when the task will be run
# and what command to run for the task
#
# To define the time you can provide concrete values for
# minute (m), hour (h), day of month (dom), month (mon),
# and day of week (dow) or use '*' in these fields (for 'any').#
# Notice that tasks will be started based on the cron's system
# daemon's notion of time and timezones.
#
# Output of the crontab jobs (including errors) is sent through
# email to the user the crontab file belongs to (unless redirected).
#
# For example, you can run a backup of all your user accounts
# at 5 a.m every week with:
# 0 5 * * 1 tar -zcf /var/backups/home.tgz /home/
#
# For more information see the manual pages of crontab(5) and cron(8)
#
# m h dom mon dow command

55 3 * * * automysqlbackup /home/company/mysql_backup/

More about Gestix at Gestix.com.

4 thoughts on “Installing Gestix on a brand new Ubuntu LTS 14.04 (Trusty Tahr)

  1. Pingback: Lucky holidays with Gestix | Gestix Software Blog

  2. HTMLDOC – in old packages ensure the htmldoc version in the gestix/bin directory is the same as the installed from the debian package. If necessary perform:

    cp /usr/bin/htmldoc PATH_TO_GESTIX/bin/htmldoc

  3. Missing dependency libmysqlclient.so.16 on MySQL 5.5 server with MySQL 5.1 client.

    With old versions of the linux package of Gestix that depend on MySQL 5.1 shared objects, gnet-app.cgi will not run unless a patch is made. Check the executable from the command line:


    cd /var/www/gestix/gnet/cgi-bin
    $ ./gnet-app.cgi

    ./gnet-app.cgi: /usr/lib/x86_64-linux-gnu/libmysqlclient.so.16: version `libmysqlclient_16' not found (required by ./lib_base.so)

    To fix, use libmysqlclient.so.16 from the MySQL 5.1 package to patch (gestix.net/download/mysql-5.1-5.5-patch.zip).


    cp ~/download/libmysqlclient.so.16.0.0 /usr/lib/x86_64-linux-gnu/
    cd /usr/lib/x86_64-linux-gnu/
    sudo ln -s libmysqlclient.so.16.0.0 libmysqlclient.so.16

    Check if the executable runs, once again,

    cd /var/www/gestix/gnet/cgi-bin
    $ ./gnet-app.cgi

    Content-Type: text/plain; charset="ISO-8859-1"
    ...

    OK.

Deixe uma resposta/Leave a reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s